// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
const moment = require("../../utils/moment.min")
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '解散申请', leftArrow: true, useBar: false },
        ids: '',
        apply_time: '',
        // 主体高度
        infoHeight: '',
        form: {
            // team_id: '234', // 团队id
            // team_name: '我是第一队', // 团队名称
            // create_user: '李铁蛋', // 团队创建人
            // create_id: '23455', // 团队创建人id
            // apply_time: '', // 申请时间
            // resaon: '', // 解散团队原因
        },
    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    //提交
    formSubmit: function (e) {
        const params = e.detail.value;
        var apply_time = this.data.apply_time;
        var form = {
            "team_id": params.team_id,
            "team_name": params.team_name,
            "create_user": params.create_user,
            "create_id": params.create_id,
            "apply_time": apply_time,
            "resaon": params.resaon
        }
        if (!this.WxValidate.checkForm(params)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            wx.request({
                url: `${app.globalData.publicUrl}/courtAdmin/api/dismissapply`, //接口地址
                method: 'post',
                data: form,
                success(res) {
                    if (res.data.errcode == 0) {
                        wx.showToast({ title: `解散审核提交成功`, icon: 'success', duration: 2000 }) //登录成功提示
                        wx.navigateTo({ url: '/pages/me/index' })// 跳转页面
                    } else {
                        wx.showToast({
                            title: res.data.errmsg,
                            icon: 'none',
                            duration: 2000
                        })
                    }
                }
            })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            ids: options.id,
        });
        //获取当前时间
        let apply_time = moment().format('YYYY-MM-DD HH:mm:ss');
        this.setData({
            apply_time: apply_time,
        });
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin();
        //验证规则函数
        this.initValidate()
    },
    initValidate() {
        const rules = { team_id: { required: true }, team_name: { required: true, }, create_user: { required: true }, create_id: { required: true, }, resaon: { required: true, } }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { team_id: { required: '请输入团队id', }, team_name: { required: '请输入团队名称', }, create_user: { required: '请输入团队创建人', }, create_id: { required: '请输入团队创建人id', }, resaon: { required: '请输入解散团队原因', } };
        this.WxValidate = new WxValidate(rules, messages)
    },
    // 监听用户是否登录
    watchLogin: function () {
        wx.getStorage({
            key: 'token',
            success: res => {
                var that = this;
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/team/` + that.data.ids, //接口地址
                    method: 'get',
                    data: '',
                    success(res) {
                        if (res.data.errcode == 0) {
                            let datas = res.data.data
                            that.setData({
                                form: datas,
                            });
                        } else {
                            wx.showToast({
                                title: res.data.errmsg,
                                icon: 'none',
                                duration: 2000
                            })
                        }
                    }
                })
            },
            fail: res => {
                return wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
     // 计算高度
     searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})
